wxWidgets: interface/wx/docview.h File Reference

| Version: 3.1.5

Classes | Typedefs | Functions
docview.h File Reference

## Classes
class | wxDocTemplate
| The wxDocTemplate class is used to model the relationship between a document class and a view class. More...
class | wxDocManager
| The wxDocManager class is part of the document/view framework supported by wxWidgets, and cooperates with the wxView, wxDocument and wxDocTemplate classes. More...
class | wxView
| The view class can be used to model the viewing and editing component of an application's file-based data. More...
class | wxDocChildFrame
| The wxDocChildFrame class provides a default frame for displaying documents on separate windows. More...
class | wxDocParentFrame
| The wxDocParentFrame class provides a default top-level frame for applications using the document/view framework. More...
class | wxDocument
| The document class can be used to model an application's file-based data. More...

## Typedefs
typedef wxVector< wxDocument * > | wxDocVector
| A vector of wxDocument pointers. More...
typedef wxVector< wxView * > | wxViewVector
| A vector of wxView pointers. More...
typedef wxVector< wxDocTemplate * > | wxDocTemplateVector
| A vector of wxDocTemplate pointers. More...

## Functions
bool | wxTransferFileToStream (const wxString &filename, ostream &stream)
| Copies the given file to stream. More...
bool | wxTransferStreamToFile (istream &stream, const wxString &filename)
| Copies the given stream to the file filename. More...

## Typedef Documentation

## ◆ wxDocTemplateVector

typedef wxVector<wxDocTemplate*> wxDocTemplateVector

A vector of wxDocTemplate pointers.

Since
  2.9.5

## ◆ wxDocVector

typedef wxVector<wxDocument*> wxDocVector

A vector of wxDocument pointers.

Since
  2.9.5

## ◆ wxViewVector

typedef wxVector<wxView*> wxViewVector

A vector of wxView pointers.

Since
  2.9.5

## Function Documentation

## ◆ wxTransferFileToStream()

bool wxTransferFileToStream | ( | const wxString & | filename,
|  | ostream & | stream
| ) |  |

Copies the given file to stream.

Useful when converting an old application to use streams (within the document/view framework, for example).

Include file:

    #include <wx/docview.h>

## ◆ wxTransferStreamToFile()

bool wxTransferStreamToFile | ( | istream & | stream,
|  | const wxString & | filename
| ) |  |

Copies the given stream to the file filename.

Useful when converting an old application to use streams (within the document/view framework, for example).

Include file:

    #include <wx/docview.h>